# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::A3DSMaterial Class Reference

The A3DSMaterial class represents a material in a 3DS file. More...

`#include <io3DS.hpp>`

List of all members.

## Public Member Functions

| A3DSMaterial ()

## Public Attributes

String | mMaterialName
fvec3 | mAmbient
fvec3 | mDiffuse
fvec3 | mSpecular
float | mShininess
float | mShininessStrength
float | mTransparency
bool | mDoubleSided
A3DSTexture | mTexture1
A3DSTexture | mTexture2

## Detailed Description

The A3DSMaterial class represents a material in a 3DS file.

Definition at line 116 of file io3DS.hpp.

## Constructor & Destructor Documentation

vl::A3DSMaterial::A3DSMaterial | ( | ) | `[inline]`

Definition at line 119 of file io3DS.hpp.

## Member Data Documentation

String vl::A3DSMaterial::mMaterialName

Definition at line 121 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

fvec3 vl::A3DSMaterial::mAmbient

Definition at line 122 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

fvec3 vl::A3DSMaterial::mDiffuse

Definition at line 122 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

fvec3 vl::A3DSMaterial::mSpecular

Definition at line 122 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

float vl::A3DSMaterial::mShininess

Definition at line 123 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

float vl::A3DSMaterial::mShininessStrength

Definition at line 123 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

float vl::A3DSMaterial::mTransparency

Definition at line 124 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

bool vl::A3DSMaterial::mDoubleSided

Definition at line 125 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

A3DSTexture vl::A3DSMaterial::mTexture1

Definition at line 126 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

A3DSTexture vl::A3DSMaterial::mTexture2

Definition at line 127 of file io3DS.hpp.

Referenced by vl::A3DSLoader::read_MATERIAL_BLOCK().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/io3DS.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:42.
Permission is granted to use this page to write and publish articles regarding Visualization Library.